package com.persagy.utils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.sql.*;

@Component
@Slf4j
public class DBUtil {

    // 指定监听的数据表
    @Value("${spring.datasource.dynamic.datasource.wd.url}")
    private String dbUrl;

    @Value("${binlog.user}")
    private String user;

    @Value("${binlog.password}")
    private String password;

    /*
     * 获取数据库的连接
     */
    public  Connection getConnection(){
        Connection conn = null;
        try {
            conn = DriverManager.getConnection( dbUrl,user, password);
        } catch (SQLException e) {
            // TODO Auto-generated catch block
           log.error("获取数据库连接失败：{}",e);
        }
        return conn;
    }

    /*
     * 关闭数据库的连接
     */
    public  void close(Connection conn){
        if(conn!=null){
            try {
                conn.close();
            } catch (SQLException e) {
                // TODO Auto-generated catch block
                log.error("关闭数据库连接失败：{}",e);
            }
        }
    }
    public  String queryBinlogName(String sql) throws SQLException{
        //获取数据库连接
        Connection conn = getConnection();
        //通过拼接构建SQL语句
        StringBuilder sb = new StringBuilder();
        sb.append(sql);
        //执行SQL语句
        PreparedStatement ps =conn.prepareStatement(sb.toString());
        System.out.println(sb.toString());
        ResultSet rs = ps.executeQuery();
        //提取查询结果
        String binlogName = "";
        while(rs.next()){
            //取最后一个binlog文件
            binlogName = rs.getString("log_name");
        }
        close(conn);
        return binlogName;
    }

}